- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces
IWORKTableRecorder.cpp File Reference
`#include "IWORKTableRecorder.h"`
`#include <deque>`
`#include <boost/variant.hpp>`
`#include "IWORKText.h"`
`#include "IWORKTextRecorder.h"`

## Classes
struct | libetonyek::IWORKTableRecorder::Impl

## Namespaces
| libetonyek

## Variable Documentation

const bool m_banded

const unsigned m_column

const bool m_columns

const IWORKColumnSizes_t m_columnSizes

const unsigned m_columnSpan

const boost::shared_ptr<IWORKText> m_content

const unsigned m_footerRows

const boost::optional<IWORKFormula> m_formula

const unsigned m_headerColumns

const unsigned m_headerRows

const IWORKGridLineList_t m_horizontalLines

const unsigned m_row

const bool m_rows

const IWORKRowSizes_t m_rowSizes

const unsigned m_rowSpan

const IWORKStylePtr_t m_style

IWORKTable& m_table
| private

const IWORKTable::CellType m_type

const boost::optional<std::string> m_value

const IWORKGridLineList_t m_verticalLines